/* ------------------------------------------------
                      ssd_test.c

   MCU   :  STM8S103F3
   Takt  :  externer Takt 16 MHz

   25.03.19 by R. Seelig

  -------------------------------------------------- */

#include <stdlib.h>                             // fuer abs()
#include "stm8s.h"
#include "stm8_init.h"
#include "stm8_gpio.h"

#include "tftmono.h"
#include "my_printf.h"

#define printf       my_printf


/* --------------------------------------------------------
   putchar

   wird von my-printf / printf aufgerufen und hier muss
   eine Zeichenausgabefunktion angegeben sein, auf das
   printf dann schreibt !
   -------------------------------------------------------- */
void my_putchar(uint8_t ch)
{
  lcd_putchar(ch);
}


/* ------------------------------------------------------------------------
                                    MAIN
   ------------------------------------------------------------------------ */

int main(void)
{
  int i;

  sysclock_init(0);                     // zuerst System fuer internen Takt

  lcd_init();
  clrscr();

  setfont(fnt5x7);
  textsize= 0;
  gotoxy(0,0);
  printf("Mono-TFT\n\r");
  printf("----------------\n\n\r");
  printf("Hallo Welt!");
  printf("Hallo");

while(1);
}
